<style>
  #canvasContainer {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom:0;
    padding-top: 30px;
    background: blue;
    overflow: hidden;
  }
  #scrollContainer {
    margin-left: 50%;
    left: -400px;
    overflow: hidden;
    position: relative;
    max-width: 100%;
    max-height: 100vh;
    height: 810px;
    width: 800px;
  }
  @media (max-width: 800px) {
    #canvasContainer {
      padding-top: 0px;
      padding-bottom: 0px;
    }
    #scrollContainer {
      left: 0;
      top: 0;
      right: 0;
      bottom: 0;
      position: absolute;
      margin-left: 0;
    }
  }
  #canvas {
    height: 800px;
    width: 800px;
  }
  #drawControls {
    position: absolute;
    top: 10px;
    left: 10px;
    height: 100px;
    width:100px;
    z-index: 10;
  }
</style>
<div id="canvasContainer">
  <div id="scrollContainer">
    <canvas
      id="canvas"
      style="background: white"
      width="800px"
      height="800px"
    ></canvas>
   
  </div>

</div>
<app-draw-controls id="drawControls"></app-draw-controls>